module CloudFormer
  module Functions
    class Base64 < Function

      def initialize(data)
        @data = data
      end

      def dump_json
        { 'Fn::Base64' => transform_data(@data) }
      end

      def acts_as_string?
        true
      end

      private

      def transform_data(data)
        if data.is_a?(Function)
          data.dump_json
        else
          data
        end
      end
    end
  end
end
