module CloudFormer
  module Functions
    class FindInMap < Function

      def initialize(map_name, top_level_key, second_level_key)
        @map_name = map_name
        @top_level_key = top_level_key
        @second_level_key = second_level_key
      end

      def dump_json
        {
          'Fn::FindInMap' => [
            @map_name,
            transform_key(@top_level_key),
            transform_key(@second_level_key),
          ],
        }
      end

      private

      def transform_key(key)
        if key.is_a?(Parameter) || key.is_a?(PseudoParameter)
          { 'Ref' => key.get_name }
        elsif key.is_a?(Function)
          key.dump_json
        elsif key.is_a?(Resource)
          { 'Ref' => key.get_name }
        else
          key
        end
      end
    end
  end
end
