module CloudFormer
  module Functions
    class Join < Function

      def initialize(join_string, pieces)
        @join_string = join_string
        @pieces = pieces
      end

      def acts_as_string?
        true
      end

      def dump_json
        mapped_pieces = @pieces.map do |piece|
          if piece.is_a?(Parameter) || piece.is_a?(PseudoParameter)
            { 'Ref' => piece.get_name }
          elsif piece.is_a?(Function)
            piece.dump_json
          elsif piece.is_a?(Resource)
            { 'Ref' => piece.get_name }
          else
            piece
          end
        end

        {
          'Fn::Join' => [
            @join_string,
            mapped_pieces
          ]
        }
      end
    end
  end
end
