module CloudFormer
  module Functions
    class Not < Function

      def initialize(*conditions)
        @conditions = conditions
      end

      def dump_json
        mapped = @conditions.map do |cond|
          if cond.is_a?(Condition)
            { 'Condition' => cond.get_name }
          elsif cond.is_a?(Function)
            cond.dump_json
          elsif cond.respond_to?(:get_name)
            { 'Ref' => cond.get_name }
          elsif cond.respond_to?(:to_s)
            cond.to_s
          end
        end

        { 'Fn::Or' => mapped }
      end
    end
  end
end
