# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-authentication.html
module CloudFormer
  module CloudFormation
    class AuthenticationItem < MetadataResource

      aws_attribute :access_key_id, name: 'accessKeyId', type: String
      aws_attribute :buckets, name: 'buckets', list: true, type: String
      aws_attribute :password, name: 'password', type: String
      aws_attribute :secret_key, name: 'secretKey', type: String
      aws_attribute :type, name: 'type', type: String
      aws_attribute :uris, name: 'uris', list: true, type: String
      aws_attribute :username, name: 'username', type: String
      aws_attribute :role_name, name: 'roleName', type: String

      def initialize(name = nil)
        super()
        @aws_type = 'AWS::CloudFormation::AuthenticationItem'
        @name = name || "AuthenticationItem#{self.class.next_id}"
      end

      def get_name
        @name
      end

      def self.next_id
        @@current_id ||= 1
        @@current_id += 1
      end
    end
  end
end
