# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-init.html#aws-resource-init-commands
module CloudFormer

  module CloudFormation
    class Init < MetadataResource

      def initialize
        super
        @aws_type = 'AWS::CloudFormation::Init'
      end

      def config_sets(values=nil)
        if values
          @config_sets = values
        end
        @config_sets
      end

      def dump_json
        res = { 'configSets' => {} }
        (@config_sets || []).each do |set|
          res['configSets'][set.name] = (set.items || []).map do |item|
            item.name
          end
          (set.items || []).each do |item|
            res[item.name] = item.dump_json
          end
        end
        res
      end
    end
  end
end
