module CloudFormer
  class Parameter

    include HasPropertiesAndAttributes
    include MakesJson

    aws_attribute :allowed_pattern, type: String
    aws_attribute :allowed_values, list: true, type: String
    aws_attribute :constraint_description, type: String
    aws_attribute :default, type: Object
    aws_attribute :description, type: String
    aws_attribute :max_length, type: String
    aws_attribute :max_value, type: Integer
    aws_attribute :min_length, type: String
    aws_attribute :min_value, type: Integer
    aws_attribute :no_echo, type: Boolean

    attr_reader :type

    json_attribute(:type)

    def initialize(name, &block)
      @name = name
      if block_given?
        self.instance_eval(&block)
      end
    end

    def get_name
      @name
    end
  end
end
