# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-notificationconfiguration.html
module CloudFormer
  module AutoScaling
    class NotificationConfiguration < ResourceProperty

      LAUNCH = 'autoscaling:EC2_INSTANCE_LAUNCH'
      LAUNCH_ERROR = 'autoscaling:EC2_INSTANCE_LAUNCH_ERROR'
      TERMINATE = 'autoscaling:EC2_INSTANCE_TERMINATE'
      TERMINATE_ERROR = 'autoscaling:EC2_INSTANCE_TERMINATE_ERROR'
      TEST = 'autoscaling:TEST_NOTIFICATION'

      aws_attribute :topic_arn, name: 'TopicARN', type: String
      aws_attribute :notification_types, list: true, type: String
    end
  end
end
