# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-cloudfront-distributionconfig.html
module CloudFormer
  module CloudFront
    class DistributionConfiguration < ResourceProperty
      aws_attribute :aliases, list: true, type: String
      aws_attribute :cache_behaviors,
        embed: true,
        list: true,
        type: CacheBehavior
      aws_attribute :comment, type: String
      aws_attribute :custom_error_responses,
        embed: true,
        list: true,
        type: CustomErrorResponse
      aws_attribute :default_cache_behavior,
        embed: true,
        type: DefaultCacheBehavior
      aws_attribute :default_root_object, type: String
      aws_attribute :enabled, type: Boolean
      aws_attribute :logging, embed: true, type: Logging
      aws_attribute :origins, embed: true, list: true, type: Origin
      aws_attribute :price_class, type: String
      aws_attribute :restrictions, type: Restriction
      aws_attribute :viewer_certificate, embed: true, type: ViewerCertificate
    end
  end
end
