# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-group.html
module CloudFormer
  module AutoScaling
    class AutoScalingGroup < Resource
      aws_property :availability_zones, required: true, list: true, type: String
      aws_property :cooldown, type: String
      aws_property :desired_capacity, type: String
      aws_property :health_check_grace_period, type: Integer
      aws_property :health_check_type, type: String
      aws_property :instance_id, type: String
      aws_property :launch_configuration_name, type: String
      aws_property :load_balancer_names, list: true, type: String
      aws_property :max_size, required: true, type: String
      aws_property :metrics_collection,
        list: true,
        embed: true,
        type: AutoScaling::MetricsCollection
      aws_property :min_size, required: true, type: String
      aws_property :notification_configuration,
        embed: true,
        type: AutoScaling::NotificationConfiguration
      aws_property :placement_group, type: String
      aws_property :tags, list: true, embed: true, type: AutoScaling::Tag
      aws_property :termination_policies, list: true, type: String
      aws_property :vpc_zone_identifier,
        name: 'VPCZoneIdentifier',
        list: true,
        type: String

      aws_attribute :update_policy, embed: true, type: AutoScaling::UpdatePolicy
    end
  end
end
