# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-as-launchconfig.html
module CloudFormer
  module AutoScaling
    class LaunchConfiguration < Resource
      aws_property :associate_public_ip_address, type: Boolean
      aws_property :block_device_mappings,
        list: true,
        embed: true,
        type: BlockDeviceMapping
      aws_property :class_link_vpc_id, type: String, name: 'ClassicLinkVPCSecurityGroups'
      aws_property :ebs_optimized, type: Boolean
      aws_property :iam_instance_profile, type: String
      aws_property :image_id, type: String
      aws_property :instance_id, type: String
      aws_property :instance_monitoring, type: Boolean
      aws_property :instance_type, type: String
      aws_property :kernel_id, type: String
      aws_property :key_name, type: String
      aws_property :placement_tenancy, type: String
      aws_property :ram_disk_id, type: String
      aws_property :security_groups,
        list: true,
        type: EC2::SecurityGroup
      aws_property :spot_price, type: String
      aws_property :user_data, type: String
    end
  end
end
