# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-instance.html
module CloudFormer
  module EC2
    class Instance < Resource
      aws_property :availability_zone, type: String
      aws_property :block_device_mappings, list: true, embed: true, type: BlockDeviceMapping
      aws_property :disable_api_termination, type: Boolean
      aws_property :ebs_optimized, type: Boolean
      aws_property :iam_instance_profile, type: String
      aws_property :image_id, type: String
      aws_property :instance_initiated_shutdown_behavior, type: String
      aws_property :instance_type, type: String
      aws_property :kernel_id, type: String
      aws_property :key_name, type: String
      aws_property :monitoring, type: Boolean
      aws_property :network_interfaces, list: true, embed: true, type: NetworkInterfaceEmbedded
      aws_property :placement_group_name, type: String
      aws_property :private_ip_address, type: String
      aws_property :ramdisk_id, type: String
      aws_property :security_group_ids, list: true, type: String
      aws_property :security_groups, list: true, type: String
      aws_property :source_dest_check, type: Boolean
      aws_property :subnet_id, type: String
      aws_property :tags, list: true, embed: true, type: Tag
      aws_property :tenancy, type: String
      aws_property :user_data, type: String
      aws_property :volumes, list: true, embed: true, type: MountPoint
    end
  end
end
