# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-ec2-network-interface.html
module CloudFormer
  module EC2
    class NetworkInterface < Resource
      aws_property :description, type: String
      aws_property :group_set, list: true, type: String
      aws_property :private_ip_address, type: String
      aws_property :private_ip_addresses, list: true, embed: true, type: PrivateIpAddressSpecification
      aws_property :secondary_private_ip_address_count, type: Integer
      aws_property :source_dest_check, type: Boolean
      aws_property :subnet_id, type: String
      aws_property :tags, embed: true, list: true, type: Tag
    end
  end
end
