# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-security-group.html
module CloudFormer
  module EC2
    class SecurityGroup < Resource
      aws_property :group_description, type: String
      aws_property :security_group_egress,
        embed: true,
        list: true,
        type: SecurityGroupRule
      aws_property :security_group_ingress,
        embed: true,
        list: true,
        type: SecurityGroupRule
      aws_property :tags,
        embed: true,
        list: true,
        type: CloudFormation::ResourceTag
      aws_property :vpc_id, type: String
    end
  end
end
