# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-elasticache-cache-cluster.html
module CloudFormer
  module ElastiCache
    class CacheCluster < Resource
      aws_property :auto_minor_version_upgrade, type: Boolean
      aws_property :cache_node_type, type: String
      aws_property :cache_parameter_group_name, type: String
      aws_property :cache_security_group_names, list: true, type: String
      aws_property :cache_subnet_group_name, type: String
      aws_property :cluster_name, type: String
      aws_property :engine, type: String
      aws_property :engine_version, type: String
      aws_property :notification_topic_arn, type: String
      aws_property :num_cache_nodes, type: String
      aws_property :port, type: Integer
      aws_property :perferred_availability_zone, type: String
      aws_property :preferred_maintenance_window, type: String
      aws_property :snapshot_arns, list: true, type: String
      aws_property :vpc_security_group_ids, list: true, type: String
    end
  end
end
