# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-ec2-elb.html
module CloudFormer
  module ElasticLoadBalancing
    class LoadBalancer < Resource
      aws_property :access_logging_policy,
        embed: true,
        type: AccessLoggingPolicy
      aws_property :app_cookie_stickiness_policy,
        embed: true,
        list: true,
        type: AppCookieStickinessPolicy
      aws_property :availability_zones, list: true, type: String
      aws_property :connection_draining_policy,
        embed: true,
        type: ConnectionDrainingPolicy
      aws_property :connection_settings,
        embed: true,
        type: ConnectionSettings
      aws_property :cross_zone, type: Boolean
      aws_property :health_check, embed: true, type: HealthCheck
      aws_property :instances, list: true, type: String
      aws_property :lb_cookie_stickiness_policy,
        embed: true,
        name: 'LBCookieStickinessPolicy',
        list: true,
        type: LbCookieStickinessPolicy
      aws_property :load_balancer_name, type: String
      aws_property :listeners, embed: true, list: true, type: Listener
      aws_property :policies,
        embed: true,
        list: true,
        type: Policy
      aws_property :scheme, type: String
      aws_property :security_groups, list: true, type: EC2::SecurityGroup
      aws_property :subnets, list: true, type: String
      aws_property :tags, list: true, embed: true, type: CloudFormation::ResourceTag
    end
  end
end
