module CloudFormer
  class List
    def initialize(resource_options, &block)
      @resource_options = resource_options
      @entries = []
      if block.arity == 0
        instance_eval(&block)
      else
        block.call(self)
      end
    end

    def entry(*args, &block)
      @entries << @resource_options[:type].new(*args) do
        if block.arity == 0
          instance_eval(&block)
        else
          block.call(self)
        end
      end
    end

    attr_reader :entries
  end
end
