# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-rds-database-instance.html
module CloudFormer
  module RDS
    class DBInstance < Resource
      aws_property :allocated_storage, type: String
      aws_property :allow_major_version_upgrade, type: Boolean
      aws_property :auto_minor_version_upgrade, type: Boolean
      aws_property :availability_zone, type: String
      aws_property :backup_retention_period, type: String
      aws_property :character_set_name, type: String
      aws_property :db_instance_class, name: 'DBInstanceClass', type: String
      aws_property :db_instance_identifier, name: 'DBInstanceIdentifier', type: String
      aws_property :db_name, name: 'DBName', type: String
      aws_property :db_parameter_group_name, name: 'DBParameterGroupName', type: String
      aws_property :db_security_groups, name: 'DBSecurityGroups', list: true, type: String
      aws_property :db_snapshot_identifier, name: 'DBSnapshotIdentifier', type: String
      aws_property :db_subnet_group_name, name: 'DBSubnetGroupName', type: String
      aws_property :engine, type: String
      aws_property :engine_version, type: String
      aws_property :iops, type: Integer
      aws_property :kms_key_id, type: String
      aws_property :license_model, type: String
      aws_property :master_username, type: String
      aws_property :master_user_password, type: String
      aws_property :multi_az, name: 'MultiAZ', type: Boolean
      aws_property :option_group_name, type: String
      aws_property :port, type: String
      aws_property :preferred_backup_window, type: String
      aws_property :preferred_maintenance_window, type: String
      aws_property :publicly_accessible, type: Boolean
      aws_property :source_db_instance_identifier, name: 'SourceDBInstanceIdentifier', type: String
      aws_property :storage_encrypted, type: Boolean
      aws_property :storage_type, type: Boolean
      aws_property :tags, list: true, embed: true, type: CloudFormation::ResourceTag
      aws_property :vpc_security_groups, name: 'VPCSecurityGroups', list: true, type: String
    end
  end
end
