# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-redshift-cluster.html
module CloudFormer
  module Redshift
    class Cluster < Resource
      aws_property :allow_version_upgrade, type: Boolean
      aws_property :automated_snapshot_retention_period, type: Integer
      aws_property :availability_zone, type: String
      aws_property :cluster_parameter_group_name, type: String
      aws_property :cluster_security_groups, list: true, type: String
      aws_property :cluster_subnet_group_name, type: String
      aws_property :cluster_type, type: String
      aws_property :cluster_version, type: String
      aws_property :db_name, name: 'DBName', type: String
      aws_property :elastic_ip, type: String
      aws_property :encrypted, type: Boolean
      aws_property :hsm_client_certificate_identifier, type: String
      aws_property :hsm_configuration_identifier, type: String
      aws_property :master_username, type: String
      aws_property :master_user_password, type: String
      aws_property :node_type, type: String
      aws_property :number_of_nodes, type: Integer
      aws_property :owner_account, type: String
      aws_property :port, type: Integer
      aws_property :preferred_maintenance_window, type: String
      aws_property :publicly_accessible, type: Boolean
      aws_property :snapshot_cluster_identifier, type: String
      aws_property :snapshot_identifier, type: String
      aws_property :vpc_security_group_ids, list: true, type: String
    end
  end
end
