# http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-properties-s3-bucket.html
module CloudFormer
  module S3
    class Bucket < Resource
      aws_property :access_control, type: String
      aws_property :bucket_name, type: String
      aws_property :cors_configuration, embed: true, type: CorsConfiguration
      aws_property(
        :lifecycle_configuration,
        embed: true,
        type: LifecycleConfiguration,
      )
      aws_property(
        :logging_configuration,
        embed: true,
        type: LoggingConfiguration,
      )
      aws_property(
        :notification_configuration,
        embed: true,
        type: NotificationConfiguration,
      )
      aws_property(
        :tags,
        embed: true,
        list: true,
        type: CloudFormation::ResourceTag,
      )
      aws_property(
        :versioning_configuration,
        embed: true,
        type: VersioningConfiguration,
      )
      aws_property(
        :website_configuration,
        embed: true,
        type: WebsiteConfiguration,
      )
    end
  end
end
